RCP(1)

NAME
rcp - remote file copy

SYNOPSIS
rcp [-Kpx] [-k realm] file1 file2
rcp [-Kprx] [-k realm] file... directory

DESCRIPTION
Rcp copies files between machines. Each file or directory argument is either a remote file name of the form ``ruser@rhost:path'', or a local file name (containing no `:' characters, or a `/' before any `:'s).

-K  The -K option turns off all Kerberos authentication.

-k  The -k option requests rcp to obtain tickets for the remote host in realm realm instead of the remote host's realm as determined by krb_realmofhost(3).

-p  The -p option causes rcp to attempt to preserve (duplicate) in its copies the modification times and modes of the source files, ignoring the umask. By default, the mode and owner of file2 are preserved if it already existed; otherwise the mode of the source file modified by the umask(2) on the destination host is used.

-r  If any of the source files are directories, rcp copies each subtree rooted at that name; in this case the destination must be a directory.

-x  The -x option turns on DES encryption for all data passed by rcp. This may impact response time and CPU utilization, but provides increased security.

If path is not a full path name, it is interpreted relative to the login directory of the specified user ruser on rhost, or your current user name if no other remote user name is specified. A path on a remote host may be quoted (using \, ", or ´) so that the metacharacters are interpreted remotely.

Rcp does not prompt for passwords; it performs remote execution via rsh(1), and requires the same authorization.

Rcp handles third party copies, where neither source nor target files are on the current machine.

ATTRIBUTIONS
This command was ported from FreeBSD source code for distribution with GNO/ME 2.0.6.

SEE ALSO
cp(1), ftp(1), rsh(1), rlogin(1)

HISTORY
The rcp command appeared in 4.2BSD. The version of rcp described here has been reimplemented with Kerberos in 4.3BSD (Reno).

BUGS
Doesn't detect all cases where the target of a copy might be a file in cases where only a directory should be legal.

Is confused by any output generated by commands in a .login, .profile, .cshrc, or gshrc file on the remote host.

The destination user and hostname may have to be specified as ``rhost.rname'' when the destination machine is running the 4.2BSD version of rcp.